# Compressor
Keywords: waveletCompression.Compressor class

## waveletCompression
Class Compressor

    java.lang.Object
      waveletCompression.Compressor

    public class Compressor

extends java.lang.Object

Die Compressor-Klasse beinhaltet die Methoden für Waveletkompression und Rekonstruktion von komprimierten Bildern.

Author:
  Bettina Selig, Tilman Walther

Field Summary
`int` `DISTANCE_COMPRESSION`
`int` `L2_ERROR_COMPRESSION`
`int` `SIZE_COMPRESSION`

Constructor Summary
`Compressor()`

Method Summary
`double[][]` `compress(double[][] value, boolean standardDecomposition, int compressionType, int compressionValue)` Komprimiert die Bilddaten nach L²-Fehler, Distanzfehler oder mit Standard- oder Nonstandard-Dekomposition
`double[][]` `reconstruct(double[][] value, boolean standardDecomposition)` Rekonstruiert ein komprimiertes Bild

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### L2_ERROR_COMPRESSION

    public final int L2_ERROR_COMPRESSION

See Also:
  Constant Field Values

### DISTANCE_COMPRESSION

    public final int DISTANCE_COMPRESSION

See Also:
  Constant Field Values

### SIZE_COMPRESSION

    public final int SIZE_COMPRESSION

See Also:
  Constant Field Values

Constructor Detail

### Compressor

    public Compressor()

Method Detail

### compress

    public double[][] compress(double[][] value,
                               boolean standardDecomposition,
                               int compressionType,
                               int compressionValue)

  Komprimiert die Bilddaten nach L²-Fehler, Distanzfehler oder mit Standard- oder Nonstandard-Dekomposition

  Parameters:
    `value` - value Grauwerte der Bilddaten im 2-dim Array, wobei value.length die Anzahl der Reihen und value[0].length die Anzahl der Spalten ist.
    `standardDecomposition` - Verfahren der Tranformation
    `compressionType` - Kompressionsverfahren (L2_ERROR_COMPRESSION, DISTANCE_COMPRESSION oder SIZE_COMPRESSION)
    `compressionValue` - Kompressionsgrad in L²-Fehler, wenn compressionType == L2_ERROR_COMPRESSION, in Prozent, wenn compressionType == DISTANCE_COMPRESSION oder resultierender Dateiendgroesse, wenn compressionType == SIZE_COMPRESSION.
  Returns:
    komprimierte Bilddaten.

### reconstruct

    public double[][] reconstruct(double[][] value,
                                  boolean standardDecomposition)

  Rekonstruiert ein komprimiertes Bild

  Parameters:
    `value` - Bilddaten
    `standardDecomposition` - Verfahren der Transformation
  Returns:
    rekonstruierte Bilddaten